#!/usr/bin/env python
# Copyright (c) 2011 Cloudera, Inc. All rights reserved.
"""
Methods to evaluate 'resources' for CMF.
The APIs here are a bit wonky, because they are intended
to correspond to the *Resource and *ResourceStatus records
as defined by AVRO.
"""

import os

def directory_resource(path):
  if not os.path.isdir(path):
    return dict(free_space_bytes=0, error_message="Path does not exist.")
  stats = os.statvfs(path)
  return dict(free_space_bytes=stats.f_bavail*stats.f_frsize)

def file_resource(path):
  return dict(path_exists=os.path.exists(path))
